Make views system test ShellCheck-clean

Also, add "set -e" to all shell scripts of the views test to exit when
any command fails or is unknown, e.g., this on OpenBSD:

    tests.sh[174]: seq: not found
This commit is contained in:
Michal Nowak
2021-05-19 12:38:33 +02:00
parent a08487ec3d
commit a4b7eb7188
3 changed files with 72 additions and 59 deletions

View File

@@ -9,6 +9,8 @@
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.
set -e
#
# Clean up after zone transfer tests.
#
@@ -16,9 +18,9 @@
rm -f ns*/named.conf
rm -f ns3/example.bk dig.out.ns?.?
rm -f ns2/example.db ns3/internal.bk
rm -f */*.jnl
rm -f */named.memstats
rm -f */named.run */named.run.prev
rm -f -- */*.jnl
rm -f -- */named.memstats
rm -f -- */named.run */named.run.prev
rm -f ns2/external/K*
rm -f ns2/external/inline.db.jbk
rm -f ns2/external/inline.db.signed

View File

@@ -9,6 +9,9 @@
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.
set -e
# shellcheck source=conf.sh
. ../conf.sh
cp -f ns2/example1.db ns2/example.db
@@ -25,9 +28,9 @@ copy_setports ns5/named.conf.in ns5/named.conf
#
$KEYGEN -K ns2/internal -a rsasha256 -q inline > /dev/null 2>&1
$KEYGEN -K ns2/internal -a rsasha256 -qfk inline > /dev/null 2>&1
k1=`$KEYGEN -K ns2/external -a rsasha256 -q inline 2> /dev/null`
k2=`$KEYGEN -K ns2/external -a rsasha256 -qfk inline 2> /dev/null`
k1=$($KEYGEN -K ns2/external -a rsasha256 -q inline 2> /dev/null)
k2=$($KEYGEN -K ns2/external -a rsasha256 -qfk inline 2> /dev/null)
$KEYGEN -K ns2/external -a rsasha256 -q inline > /dev/null 2>&1
$KEYGEN -K ns2/external -a rsasha256 -qfk inline > /dev/null 2>&1
test -n "$k1" && rm -f ns2/external/$k1.*
test -n "$k2" && rm -f ns2/external/$k2.*
test -n "$k1" && rm -f ns2/external/"$k1".*
test -n "$k2" && rm -f ns2/external/"$k2".*

View File

@@ -9,19 +9,28 @@
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.
set -e
# shellcheck source=conf.sh
. ../conf.sh
DIGOPTS="+tcp +noadd +nosea +nostat +noquest +nocomm +nocmd +noauth -p ${PORT}"
SHORTOPTS="+tcp +short -p ${PORT}"
dig_with_opts() {
"$DIG" +tcp +noadd +nosea +nostat +noquest +nocomm +nocmd +noauth -p "${PORT}" "$@"
}
dig_with_shortopts() {
"$DIG" +tcp +short -p "${PORT}" "$@"
}
RNDCCMD="$RNDC -c ../common/rndc.conf -p ${CONTROLPORT} -s"
status=0
echo_i "fetching a.example from ns2's initial configuration"
$DIG $DIGOPTS a.example. @10.53.0.2 any > dig.out.ns2.1 || status=1
dig_with_opts a.example. @10.53.0.2 any > dig.out.ns2.1 || status=1
echo_i "fetching a.example from ns3's initial configuration"
$DIG $DIGOPTS a.example. @10.53.0.3 any > dig.out.ns3.1 || status=1
dig_with_opts a.example. @10.53.0.3 any > dig.out.ns3.1 || status=1
echo_i "copying in new configurations for ns2 and ns3"
rm -f ns2/named.conf ns3/named.conf ns2/example.db
@@ -44,16 +53,16 @@ _check_reload() (
)
retry_quiet 10 _check_reload || ret=1
if [ $ret != 0 ]; then echo_i "failed"; fi
status=`expr $status + $ret`
status=$((status + ret))
echo_i "fetching a.example from ns2's 10.53.0.4, source address 10.53.0.4"
$DIG $DIGOPTS -b 10.53.0.4 a.example. @10.53.0.4 any > dig.out.ns4.2 || status=1
dig_with_opts -b 10.53.0.4 a.example. @10.53.0.4 any > dig.out.ns4.2 || status=1
echo_i "fetching a.example from ns2's 10.53.0.2, source address 10.53.0.2"
$DIG $DIGOPTS -b 10.53.0.2 a.example. @10.53.0.2 any > dig.out.ns2.2 || status=1
dig_with_opts -b 10.53.0.2 a.example. @10.53.0.2 any > dig.out.ns2.2 || status=1
echo_i "fetching a.example from ns3's 10.53.0.3, source address defaulted"
$DIG $DIGOPTS @10.53.0.3 a.example. any > dig.out.ns3.2 || status=1
dig_with_opts @10.53.0.3 a.example. any > dig.out.ns3.2 || status=1
echo_i "comparing ns3's initial a.example to one from reconfigured 10.53.0.2"
digcomp dig.out.ns3.1 dig.out.ns2.2 || status=1
@@ -84,21 +93,21 @@ sleep 5
echo_i "verifying update affected both views"
ret=0
one=`$DIG $SHORTOPTS -b 10.53.0.2 @10.53.0.2 b.clone a`
two=`$DIG $SHORTOPTS -b 10.53.0.4 @10.53.0.2 b.clone a`
one=$(dig_with_shortopts -b 10.53.0.2 @10.53.0.2 b.clone a)
two=$(dig_with_shortopts -b 10.53.0.4 @10.53.0.2 b.clone a)
if [ "$one" != "$two" ]; then
echo_i "'$one' does not match '$two'"
ret=1
fi
if [ $ret != 0 ]; then echo_i "failed"; fi
status=`expr $status + $ret`
status=$((status + ret))
echo_i "verifying forwarder in cloned zone works"
ret=0
one=`$DIG $SHORTOPTS -b 10.53.0.2 @10.53.0.2 child.clone txt`
two=`$DIG $SHORTOPTS -b 10.53.0.4 @10.53.0.2 child.clone txt`
three=`$DIG $SHORTOPTS @10.53.0.3 child.clone txt`
four=`$DIG $SHORTOPTS @10.53.0.5 child.clone txt`
one=$(dig_with_shortopts -b 10.53.0.2 @10.53.0.2 child.clone txt)
two=$(dig_with_shortopts -b 10.53.0.4 @10.53.0.2 child.clone txt)
three=$(dig_with_shortopts @10.53.0.3 child.clone txt)
four=$(dig_with_shortopts @10.53.0.5 child.clone txt)
echo "$three" | grep NS3 > /dev/null || { ret=1; echo_i "expected response from NS3 got '$three'"; }
echo "$four" | grep NS5 > /dev/null || { ret=1; echo_i "expected response from NS5 got '$four'"; }
if [ "$one" = "$two" ]; then
@@ -114,23 +123,23 @@ if [ "$two" != "$four" ]; then
ret=1
fi
if [ $ret != 0 ]; then echo_i "failed"; fi
status=`expr $status + $ret`
status=$((status + ret))
echo_i "verifying inline zones work with views"
ret=0
wait_for_signed() {
$DIG -p ${PORT} @10.53.0.2 -b 10.53.0.2 +dnssec DNSKEY inline > dig.out.internal
$DIG -p ${PORT} @10.53.0.2 -b 10.53.0.5 +dnssec DNSKEY inline > dig.out.external
"$DIG" -p "${PORT}" @10.53.0.2 -b 10.53.0.2 +dnssec DNSKEY inline > dig.out.internal
"$DIG" -p "${PORT}" @10.53.0.2 -b 10.53.0.5 +dnssec DNSKEY inline > dig.out.external
grep "ANSWER: 4," dig.out.internal > /dev/null || return 1
grep "ANSWER: 4," dig.out.external > /dev/null || return 1
return 0
}
retry_quiet 10 wait_for_signed || ret=1
int=`awk '$4 == "DNSKEY" { print $8 }' dig.out.internal | sort`
ext=`awk '$4 == "DNSKEY" { print $8 }' dig.out.external | sort`
int=$(awk '$4 == "DNSKEY" { print $8 }' dig.out.internal | sort)
ext=$(awk '$4 == "DNSKEY" { print $8 }' dig.out.external | sort)
test "$int" != "$ext" || ret=1
if [ $ret != 0 ]; then echo_i "failed"; fi
status=`expr $status + $ret`
status=$((status + ret))
echo_i "verifying adding of multiple inline zones followed by reconfiguration works"
@@ -140,40 +149,39 @@ copy_setports ns2/named3.conf.in ns2/named.conf
i=1
while [ $i -lt 50 ]; do
ret=0
zone_name=`printf "example%03d.com" $i`
zone_name=$(printf "example%03d.com" $i)
# Add a new zone to the configuration.
cat >> ns2/zones.conf << EOF
zone "${zone_name}" {
type master;
file "db.${zone_name}";
dnssec-dnskey-kskonly yes;
auto-dnssec maintain;
inline-signing yes;
};
EOF
# Add a new zone to the configuration.
cat >> ns2/zones.conf <<-EOF
zone "${zone_name}" {
type master;
file "db.${zone_name}";
dnssec-dnskey-kskonly yes;
auto-dnssec maintain;
inline-signing yes;
};
EOF
# Create a master file for the zone.
cat > "ns2/db.${zone_name}" <<EOF
\$TTL 86400
@ IN SOA localhost. hostmaster.localhost (
1612542642 ; serial
12H ; refresh
1H ; retry
2w ; expiry
1h ; minimum
)
# Create a master file for the zone.
cat > "ns2/db.${zone_name}" <<-EOF
\$TTL 86400
@ IN SOA localhost. hostmaster.localhost (
1612542642 ; serial
12H ; refresh
1H ; retry
2w ; expiry
1h ; minimum
)
@ IN NS localhost
localhost IN A 127.0.0.1
EOF
IN NS localhost
localhost IN A 127.0.0.1
EOF
$KEYGEN -q -Kns2 -fk -aecdsa256 ${zone_name} > /dev/null
$RNDCCMD 10.53.0.2 reconfig || ret=1
if [ $ret != 0 ]; then echo_i "failed"; break; fi
done # end for #
$KEYGEN -q -Kns2 -fk -aecdsa256 "${zone_name}" > /dev/null
$RNDCCMD 10.53.0.2 reconfig || ret=1
if [ $ret != 0 ]; then echo_i "failed"; break; fi
i=$((i + 1))
status=`expr $status + $ret`
done
status=$((status + ret))
echo_i "exit status: $status"
[ $status -eq 0 ] || exit 1
[ "$status" -eq 0 ] || exit 1